/*
2000 Microsoft Corporation. All rights reserved.
*/
var vidIsRunning = false;

function Init(){
	onPlayStateChange();
    vidIsRunning = (player.openState == osMediaOpen) && (player.currentMedia.ImageSourceWidth > 0);
	if(vidIsRunning){
		StartVideo();
	}
	else{
		EndVideo();
	}
}

function onOpenStateChange(){
    if(player.OpenState == osMediaOpen){
        artistdata.value = player.currentmedia.getiteminfo("Artist");
    }
}

function onPlayStateChange(){
    if(player.playState == 6){
		mdtext.value = "buffering";
    }
    else if(player.playState == 7){
		mdtext.value = "waiting";
    }
    else if(player.playState == 2){
		mdtext.value = "paused";
    }
	else if(player.playState == 1){
		mdtext.value = "stopped";
	}
	else if(player.playState == 3){
		mdtext.value = "playing";
	}
}

function OnModeChange(){
	repeatbutton.down = player.settings.getmode("loop");
}

function StartVideo(){
	if(smallfigure8.visible == true){
		smallfigure8.visible = false;
		largefigure8.visible = true;
		blback.visible = true;
	}
	visEffects.visible = false;
	playlisttray.visible = false;
	playlistcontrol.visible = false;
	controlstray.visible = false;
    vid.visible = vidIsRunning = true;
	vidtray.visible = true;
	myview.width = 310;
	myview.height = 228;
}

function EndVideo(){
	visEffects.visible = true;
    vid.visible = vidIsRunning = false;
    vidtray.visible = false;
	if(playlisttray.visible == false && controlstray.visible == false){
		myview.width = 310;
		myview.height = 180;
	}
}

function setVisibility(newPane){
    switch(newPane){
		case "openFX":
		if(fxb.down == true){
			vid.visible = false;
			vidtray.visible = false;
			controlstray.visible = false;
			playlisttray.visible = false;
			playlistcontrol.visible = false;
			acb.down = false;
			plb.down = false;
			fxtray.visible = true;
			visEffects.visible = true;
			myview.width = 310;
			myview.height = 228;
		}
		else{
			setVisibility("closeFX")
		}
		break;
		
		case "closeFX":
		fxtray.visible = false;
		visEffects.visible = false;
		myview.width = 310;
		myview.height = 180;
		fxb.down = false;
		if(vidIsRunning){
			StartVideo();
		}
		else{
			EndVideo();
		}
		break;

		case "closePlaylist":
		playlisttray.visible = false;
		playlistcontrol.visible = false;
		myview.width = 310;
		myview.height = 180;
		plb.down = false;
		if(vidIsRunning){
			StartVideo();
		}
		else{
			EndVideo();
		}
		break;
		
		case "openPlaylist":
		if(plb.down == true){
			vid.visible = false;
			vidtray.visible = false;
			controlstray.visible = false;
			fxtray.visible = false;
			visEffects.visible = false;
			acb.down = false;
			fxb.down = false;
			playlisttray.visible = true;
			playlistcontrol.visible = true;
			myview.width = 310;
			myview.height = 228;
		}
		else{
			setVisibility("closePlaylist")
		}
		break;
		
		case "closeAudioControls":
		controlstray.visible = false;
		myview.width = 310;
		myview.height = 180;
		acb.down = false;
		if(vidIsRunning){
			StartVideo();
		}
		else{
			EndVideo();
		}
		break;
		
		case "openAudioControls":
		if(acb.down == true){
			vid.visible = false;
			vidtray.visible = false;
			playlisttray.visible = false;
			playlistcontrol.visible = false;
			fxtray.visible = false;
			fxb.down = false;
			plb.down = false;
			visEffects.visible = false;
			controlstray.visible = true;
			myview.width = 310;
			myview.height = 228;
		}
		else{
			setVisibility("closeAudioControls")
		}
		break;
    }
}

function switchToSmall(){
	if(vidIsRunning == false){
		largefigure8.visible = false;
		visEffects.visible = false;
		fxtray.visible = false;
		playlisttray.visible = false;
		playlistcontrol.visible = false;
		controlstray.visible = false;
		smallfigure8.visible = true;
		myview.width = 225;
		myview.height = 40;
	}
}

function switchToLarge(){
	smallfigure8.visible = false;
	largefigure8.visible = true;
	myview.width = 310;
	myview.height = 180;
}